.carousel {
  background-color: $carousel-bg;

  .fullscreen {
    @extend .close;
    position: absolute;
    top: 0;
    right: 0;
    z-index: 20;
    color: #fff;
    opacity: 0.5;
    text-decoration: none;
  }

  button.fullscreen {
    padding: 0.7rem 1rem;
  }

  .fullscreen:hover, .fullscreen:focus {
    color: #fff;
    opacity: 0.9;
  }
}

.carousel-image {
  height: auto;
  display: block;
}

.carousel-image-landscape {
  @extend .carousel-image;
  width: 100%;
}

.carousel-image-portrait {
  @extend .carousel-image;
  width: 33%;
  margin-left: auto;
  margin-right: auto;
}

.carousel-modal {
  .modal-dialog {
    max-width: 100%;
    height: calc(100vh - 1.4rem);
    margin: 0.7rem auto;
  }

  .modal-body {
    padding: 0;

    .close {
      position: absolute;
      top: 0;
      right: 0;
      padding: 0.7rem 1rem;
      z-index: 20;
      color: #fff;
      opacity: 0.5;
    }

    .close:hover, .close:focus {
      opacity: 0.9;
    }
  }

  .carousel-modal-image {
    display: block;
    max-height: calc(100vh - 1.4rem);
    width: 100%;
    height: auto;
  }

  .carousel-inner {
    display: flex;
    justify-content: center;
  }

  .carousel-item {
    width: auto;
  }
}